package com.yunzhi.drawlots.mapper;

import com.yunzhi.drawlots.entity.TaPrize;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 奖品表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-01-13
 */
@Mapper
public interface TaPrizeMapper extends BaseMapper<TaPrize> {

    List<TaPrize> getStock();

    int reduceStock(@Param("prizeId") String prizeId, @Param("exitsNum") Integer exitsNum);
}
